import { MetaSensorItem } from 'model/meta/sensor-item/MetaSensorItem';
import { MetaCrawler } from 'model/meta/crawler/MetaCrawler';
import { MetaSensorItemUnit } from 'model/meta/sensor-item-unit/MetaSensorItemUnit';

// export interface MetaSensorItemKey {
//     id: number;
//     item: MetaSensorItem;
//     key: string;
//     froms: string;
//     option: string;
//     crawler: MetaCrawler;
//     createDate: Date;
// }

export interface MetaSensorItemKey {
    id?: number;
    item?: MetaSensorItem;
    key?: string;
    froms?: string;
    option?: string;
    crawler?: MetaCrawler;
    createDate?: Date;
    unit?: MetaSensorItemUnit;
}